/*  -*- Mode: C -*- 
 * This file is part of xui
 * 
 * x11rend.c -- 
 * 
 * $Id$
 * Author          : NBC02365@niftyserve.or.jp
 * Created On      : Thu Jan 25 22:55:03 1996
 * Last Modified By: NBC02365@niftyserve.or.jp
 * Last Modified On: Thu Jan 25 22:55:09 1996
 * 
 * Copyright (C) 1995,1996 Todo Software All rights reserved.
 */

#include "gt/dev/x11gdev.h"

void
gdev_renderpixmap (dev, p, pM, gc, src_x, src_y, w, h, x, y)
     gdev_t dev;
     gpixmap_t p, pM;
     gc_t gc;
     integer_t x, y;
     integer_t w, h, src_x, src_y;
{
  Display *display = dev->x11.g.display;
  Pixmap pixmap = p;
  Pixmap mask = pM;
  GC x11gc = dev->x11.gc;
  Drawable dest = dev->x11.hidden;

  /* Set to dest x and y clip origin */
  XSetClipOrigin (display, x11gc, x, y);

  /* Set the clipping mask */
  XSetClipMask (display, x11gc, mask);

  XCopyArea (display, pixmap, dest, x11gc, src_x, src_y, w, h, x, y);

  /* Unset clip (or add a clip gc) */
  XSetClipMask (display, x11gc, None);
}
