/*  -*- Mode: C -*- 
 * This file is part of xui
 * 
 * x11spr.c -- 
 * 
 * $Id$
 * Author          : NBC02365@niftyserve.or.jp
 * Created On      : Thu Jan 25 22:55:21 1996
 * Last Modified By: NBC02365@niftyserve.or.jp
 * Last Modified On: Thu Jan 25 22:55:24 1996
 * description:
 * 
 * Copyright (C) 1995,1996 Todo Software All rights reserved.
 */

#include "gt/dev/x11gdev.h"

extern GC gc;

void
gdev_draw_sprite (gdev, x, y, sprite)
     gdev_t gdev;
     integer_t x, y;
     gsprite_t sprite;
{
  Display *display = gdev->x11.g.display;
  Window window = gdev->x11.g.window;
  Pixmap pixmap = sprite->p;
  Pixmap mask = sprite->pM;
  int w = sprite->width;
  int h = sprite->height;

  /* Set to dest x and y clip origin */
  XSetClipOrigin (display, gc, x, y);

  /* Set the clipping mask */
  XSetClipMask (display, gc, mask);

  XCopyArea (display, pixmap, window, gc, 0, 0, w, h, x, y);

  /* Unset clip (or add a clip gc) */
  XSetClipMask (display, gc, None);

  sprite->x = x;
  sprite->y = y;
}
