/*  -*- Mode: C -*- 
 * This file is part of xnetmaj
 * 
 * geom.h -- 
 * 
 * $Id: geom.h,v 1.1 1995/04/23 01:32:45 ksr Exp ksr $
 * Author          : NBC02365@niftyserve.or.jp
 * Created On      : Tue Apr 11 11:14:22 1995
 * Last Modified By: NBC02365@niftyserve.or.jp
 * Last Modified On: Thu Jan 25 22:52:24 1996
 * 
 *  Copyright (C) 1995,1996 Todo Software All rights reserved
 */

#define STATE_H   PAI_H
#define STATE_W   PAI_W

#define name_width 98

#if PAICARD

/* if you need talk string, please comment out here.
#  define COMMUNICATION (XCLIENT)
*/

#define ATTR_H       2
#define ATTR_W       PAI_W
#define TITLE_H      MBUTTON_H
#define BITMAPWIDTH  25
#define BITMAPHEIGHT 31
#define XWIDTH       (PAI_W*21+(4*2)+name_width)

#if COMMUNICATION == 0
#define XHEIGHT      430
#else
#define XHEIGHT      (430 + (JPFONTHEIGHT+4)*5)
#endif

#define ACTBUTTON_W  70
#define BUTTON_H     24
#define BUTTON_W     85
#define TOPMARGIN    (BUTTON_H)
#define BOTTOMMARGIN (170)

#elif PAICARD3D

#define COMMUNICATION (XCLIENT)

#define ATTR_H        2
#define ATTR_W        PAI_W
#define TITLE_H       MBUTTON_H
#define BITMAPWIDTH   25
#define BITMAPHEIGHT  39
#define XWIDTH        (PAI_W*22+(4*2)+name_width)
#define XHEIGHT       (670 SMALLHEIGHT)

#define ACTBUTTON_W 70
#define BUTTON_H  28
#define BUTTON_W  84
#define TOPMARGIN     (BUTTON_H SMALLADJ)
#define BOTTOMMARGIN  (120)	/* height of logo */

#elif PAI3D
#define ATTR_H        2
#define ATTR_W        PAI_W
#define TITLE_H       MBUTTON_H
#define BITMAPWIDTH   40
#define BITMAPHEIGHT  54
#define XWIDTH        (PAI_W*22+(4*2)+name_width)
#define XHEIGHT       (885 SMALLHEIGHT)

#define ACTBUTTON_W	 70
#define BUTTON_H  28
#define BUTTON_W  84
#define TOPMARGIN     (80 SMALLADJ)
#define BOTTOMMARGIN  (120)	/* height of logo */

#else
unknown Pai ! !
#endif

#define JPFONTHEIGHT  16

#ifdef SMALL
#if XCLIENT
#define SMALLHEIGHT - ((PAI_H*4) - ((JPFONTHEIGHT+4)*5) - 10)
#define SMALLADJ    -PAI_H
#else
#define SMALLHEIGHT -((PAI_H*4))
#define SMALLADJ    -(PAI_H)
#endif
#else
#define SMALLHEIGHT
#define SMALLADJ
#endif

#define PAI_W        BITMAPWIDTH
#define PAI_H        BITMAPHEIGHT

#define MBUTTON_H  18
#define MBUTTON_W  54

#define MARK_H    12
#define DIGIT_H   12
#define NAME_H    12

#define YAKU_H    14
#define GEND_H    24
#define BDIGIT_H  24
#define CELL_H    14

#define CELLHOME_H      20
#define RESULTHOME_H    32
#define YAKUHEAD_H      22

#define LEFTMARGIN    ((XWIDTH-400)/2)

#define MSG_H 24

#define HEAD_H 24

#define USERSTATE_H 16
#define HANDPAISTART 5



#if ENGLISH
#undef SMALLJP
#undef MEDIUMJP
#define SMALLJP   TIMESIB
#define MEDIUMJP  LUCIDAB
#endif

#define HANDPAIMARGIN    (PAI_W/4)
#define OPENPAIMARGIN    5

extern char *version;
